## libcec 4.0.4%2Bdfsg1

=== src/pyCecClient/CMakeLists.txt ===
project(pyCecClient)
cmake_minimum_required(VERSION 2.8.9)

# Python
include(FindPythonLibs)
find_package(PythonLibs)

if (PYTHONLIBS_FOUND)
  if (WIN32)
    install(PROGRAMS pyCecClient.py
            DESTINATION python/.)
  else()
    install(PROGRAMS pyCecClient.py
            DESTINATION bin/.
            RENAME pyCecClient)
  endif()
endif()

=== debian/changelog ===
libcec (4.0.4+dfsg1-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Build-depend on pkg-kde-tools
  * Update symbols file (Closes: #923904)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 08 Mar 2019 13:21:44 +0100

libcec (4.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 4.0.4+dfsg1
  * Add Salsa CI configuration

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 11 Feb 2019 15:57:39 +0700

libcec (4.0.3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Fix wrong Vcs-*

  [ Balint Reczey ]
  * New upstream version 4.0.3+dfsg1
  * Update symbols after enabling Exynos and AOCEC API support
  * Update installing Python 2 package content
  * Update symbols. There are symbol removals, but upstream does not list
    them as being part of the public API.

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 16 Nov 2018 03:36:22 +0100

libcec (4.0.2+dfsg1-3) experimental; urgency=medium

  * Enable Exynos and AOCEC API support (Closes: #885177)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 26 Dec 2017 02:55:36 +0100

=== debian/control ===
Source: libcec
Maintainer: Sjoerd Simons <sjoerd@debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               g++ (>= 4:7),
               pkg-config,
               pkg-kde-tools,
               libudev-dev [linux-any],
               libp8-platform-dev,
               python-dev,
               dh-python,
               cmake (>= 2.8.9),
               swig,
               libxrandr-dev,
               x11proto-core-dev,
               libncurses5-dev
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/debian/libcec
Vcs-Git: https://salsa.debian.org/debian/libcec.git
Homepage: http://libcec.pulse-eight.com/

Package: libcec-dev
Architecture: any
Section: libdevel
Depends: libcec4 (= ${binary:Version}),
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (development files)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the necessary files needed for development.

Package: libcec4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libcec4v4
Replaces: libcec4v4
Description: USB CEC Adaptor communication Library (shared library)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the shared library.

Package: cec-utils
Architecture: any
Section: utils
Depends: libcec4 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (utility programs)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the CEC utility programs.

Package: python-libcec
Architecture: any
Section: python
Depends: libcec4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Python bindings for USB CEC Adaptor
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides Python bindings for libcec.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh  $@ --with python2

override_dh_auto_configure:
	ln -s /usr/include/cec-platform include/platform && \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DHAVE_EXYNOS_API=1 \
		-DHAVE_AOCEC_API=1

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/bin/cec-client
	mv debian/tmp/usr/bin/cec-client-* debian/tmp/usr/bin/cec-client

## libcec 4.0.4+dfsg1

=== CMakeLists.txt ===
project(libcec)
cmake_minimum_required(VERSION 2.8.9)

set(LIBCEC_VERSION_MAJOR 4)
set(LIBCEC_VERSION_MINOR 0)
set(LIBCEC_VERSION_PATCH 4)

# cec-client
add_subdirectory(src/cec-client)
add_dependencies(cec-client cec)

# cecc-client
add_subdirectory(src/cecc-client)
add_dependencies(cecc-client cec)

# pyCecClient
add_subdirectory(src/pyCecClient)

# libCEC
add_subdirectory(src/libcec)

# version number
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/version.h.in
               ${CMAKE_CURRENT_SOURCE_DIR}/include/version.h)

# resource files for windows
if(WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/project/LibCecSharp/LibCecSharp.rc.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/project/LibCecSharp/LibCecSharp.rc)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/LibCecSharp/AssemblyInfo.cpp.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/LibCecSharp/AssemblyInfo.cpp)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/project/libCEC-version.nsh.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/project/libCEC-version.nsh)
endif()

=== src/cec-client/CMakeLists.txt ===
project(cecclient)
cmake_minimum_required(VERSION 2.8.9)

set(cecclient_NAME cecclient)
set(cecclient_DESCRIPTION "libCEC test client")
set(cecclient_VERSION_MAJOR ${LIBCEC_VERSION_MAJOR})
set(cecclient_VERSION_MINOR ${LIBCEC_VERSION_MINOR})
set(cecclient_VERSION_PATCH ${LIBCEC_VERSION_PATCH})

enable_language(CXX)
include(CheckCXXSourceCompiles)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckCXXCompilerFlag)

check_cxx_compiler_flag("-std=c++11" SUPPORTS_CXX11)
if (SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

find_package(p8-platform REQUIRED)
find_package(Threads REQUIRED)

set(cecclient_SOURCES cec-client.cpp)

# curses
check_library_exists(curses initscr "" HAVE_CURSES_API)
if (HAVE_CURSES_API)
  list(APPEND cecclient_SOURCES curses/CursesControl.cpp)

  # tinfo
  find_library(HAVE_CURSES_TINFO tinfo)
endif()


add_executable(cec-client ${cecclient_SOURCES})
set_target_properties(cec-client PROPERTIES VERSION ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH})
target_link_libraries(cec-client ${p8-platform_LIBRARIES})
target_link_libraries(cec-client ${CMAKE_THREAD_LIBS_INIT})

if (NOT WIN32)
  # check for dlopen
  check_library_exists(dl dlopen "" HAVE_DLOPEN)
  if (HAVE_DLOPEN)
    target_link_libraries(cec-client dl)
  endif()

  # curses
  if (HAVE_CURSES_API)
    target_link_libraries(cec-client curses)
    if (HAVE_CURSES_TINFO)
      target_link_libraries(cec-client tinfo)
    endif()
  endif()

  # rt
  check_library_exists(rt clock_gettime "" HAVE_RT)
  if (HAVE_RT)
    target_link_libraries(cec-client rt)
  endif()

  # CoreVideo
  if (APPLE)
    target_link_libraries(cec-client "-framework CoreVideo")
  endif()
else()
  add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
  if (NOT ${WIN64})
    add_definitions(-D_USE_32BIT_TIME_T)
  endif()
endif()

include_directories(${p8-platform_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/../../include)

# write env.h
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/env.h.in ${CMAKE_CURRENT_SOURCE_DIR}/env.h)

if (WIN32)
  install(TARGETS     cec-client
          DESTINATION .)
else()
  install(TARGETS     cec-client
          DESTINATION bin/.)
endif()

=== src/libcec/CMakeLists.txt ===
project(cec)

cmake_minimum_required(VERSION 2.8.9)

set(cec_NAME cec)
set(cec_DESCRIPTION "libCEC")

enable_language(CXX)

include(CheckCXXSourceCompiles)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckCXXCompilerFlag)
include(../../cmake/UseMultiArch.cmake)

check_cxx_compiler_flag("-std=c++11" SUPPORTS_CXX11)
if (SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

find_package(p8-platform REQUIRED)
if (p8-platform_VERSION VERSION_LESS 2.0)
  message(FATAL_ERROR "p8-platform 2.0+ is required")
endif()

find_package(Threads REQUIRED)

include_directories(${p8-platform_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/../../include)

set(CMAKE_POSITION_INDEPENDENT_CODE on)

# main libCEC files
set(CEC_SOURCES CECClient.cpp
                CECProcessor.cpp
                LibCEC.cpp
                LibCECC.cpp)

# /adapter
set(CEC_SOURCES_ADAPTER adapter/AdapterFactory.cpp)

# /adapter/Pulse-Eight
set(CEC_SOURCES_ADAPTER_P8 adapter/Pulse-Eight/USBCECAdapterMessage.cpp
                           adapter/Pulse-Eight/USBCECAdapterCommands.cpp
                           adapter/Pulse-Eight/USBCECAdapterCommunication.cpp
                           adapter/Pulse-Eight/USBCECAdapterMessageQueue.cpp
                           adapter/Pulse-Eight/USBCECAdapterDetection.cpp)

# /devices
set(CEC_SOURCES_DEVICES devices/CECAudioSystem.cpp
                        devices/CECBusDevice.cpp
                        devices/CECDeviceMap.cpp
                        devices/CECPlaybackDevice.cpp
                        devices/CECRecordingDevice.cpp
                        devices/CECTuner.cpp
                        devices/CECTV.cpp)

# /implementations
set(CEC_SOURCES_IMPLEMENTATIONS implementations/ANCommandHandler.cpp
                                implementations/CECCommandHandler.cpp
                                implementations/SLCommandHandler.cpp
                                implementations/VLCommandHandler.cpp
                                implementations/RLCommandHandler.cpp
                                implementations/PHCommandHandler.cpp
                                implementations/RHCommandHandler.cpp
                                implementations/AQCommandHandler.cpp)

# /platform/*
set(CEC_SOURCES_PLATFORM platform/adl/adl-edid.cpp
                         platform/nvidia/nv-edid.cpp
                         platform/drm/drm-edid.cpp)

# headers
set(CEC_EXT_HEADERS ${PROJECT_SOURCE_DIR}/../../include/cec.h
                    ${PROJECT_SOURCE_DIR}/../../include/cecc.h
                    ${PROJECT_SOURCE_DIR}/../../include/cecloader.h
                    ${PROJECT_SOURCE_DIR}/../../include/ceccloader.h
                    ${PROJECT_SOURCE_DIR}/../../include/cectypes.h
                    ${PROJECT_SOURCE_DIR}/../../include/version.h)
source_group("Header Files (external)" FILES ${CEC_EXT_HEADERS})
set(CEC_HEADERS devices/CECRecordingDevice.h
                devices/CECTuner.h
                devices/CECAudioSystem.h
                devices/CECTV.h
                devices/CECBusDevice.h
                devices/CECDeviceMap.h
                devices/CECPlaybackDevice.h
                adapter/Exynos/ExynosCEC.h
                adapter/Exynos/ExynosCECAdapterDetection.h
                adapter/Exynos/ExynosCECAdapterCommunication.h
                adapter/AOCEC/AOCEC.h
                adapter/AOCEC/AOCECAdapterDetection.h
                adapter/AOCEC/AOCECAdapterCommunication.h
                adapter/Pulse-Eight/USBCECAdapterMessageQueue.h
                adapter/Pulse-Eight/USBCECAdapterCommunication.h
                adapter/Pulse-Eight/USBCECAdapterCommands.h
                adapter/Pulse-Eight/USBCECAdapterDetection.h
                adapter/Pulse-Eight/USBCECAdapterMessage.h
                adapter/TDA995x/TDA995xCECAdapterDetection.h
                adapter/TDA995x/AdapterMessageQueue.h
                adapter/TDA995x/TDA995xCECAdapterCommunication.h
                adapter/AdapterFactory.h
                adapter/AdapterCommunication.h
                adapter/RPi/RPiCECAdapterMessageQueue.h
                adapter/RPi/RPiCECAdapterCommunication.h
                adapter/RPi/RPiCECAdapterDetection.h
                CECInputBuffer.h
                platform/util/baudrate.h
                platform/util/edid.h
                platform/nvidia/nv-edid.h
                platform/adl/adl_structures.h
                platform/adl/adl_defines.h
                platform/adl/adl-edid.h
                platform/adl/adl_sdk.h
                platform/sockets/serialport.h
                platform/X11/randr-edid.h
                CECClient.h
                LibCEC.h
                CECTypeUtils.h
                implementations/SLCommandHandler.h
                implementations/CECCommandHandler.h
                implementations/VLCommandHandler.h
                implementations/RLCommandHandler.h
                implementations/ANCommandHandler.h
                implementations/RHCommandHandler.h
                implementations/PHCommandHandler.h
                implementations/AQCommandHandler.h
                CECProcessor.h)
source_group("Header Files" FILES ${CEC_HEADERS})

# platform and device specific
include(cmake/SetBuildInfo.cmake)
include(cmake/CheckPlatformSupport.cmake)

## create project groups
source_group("Source Files" FILES ${CEC_SOURCES})
source_group("Source Files\\adapter" FILES ${CEC_SOURCES_ADAPTER})
source_group("Source Files\\adapter\\Pulse-Eight" FILES ${CEC_SOURCES_ADAPTER_P8})
source_group("Source Files\\devices" FILES ${CEC_SOURCES_DEVICES})
source_group("Source Files\\implementations" FILES ${CEC_SOURCES_IMPLEMENTATIONS})
source_group("Source Files\\platform" FILES ${CEC_SOURCES_PLATFORM})

list(APPEND CEC_SOURCES ${CEC_HEADERS}
                        ${CEC_EXT_HEADERS}
                        ${CEC_SOURCES_ADAPTER}
                        ${CEC_SOURCES_ADAPTER_P8}
                        ${CEC_SOURCES_DEVICES}
                        ${CEC_SOURCES_IMPLEMENTATIONS}
                        ${CEC_SOURCES_PLATFORM})

# write env.h
set(LIBCEC_LIBREQUIRES "p8-platform ${PLATFORM_LIBREQUIRES}")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/env.h.in ${CMAKE_CURRENT_SOURCE_DIR}/env.h)
if (WIN32)
  # write libcec.rc
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libcec.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/libcec.rc)
  add_definitions(-DDLL_EXPORT)
else()
  # write pkgconfig
  include(../../cmake/PkgConfigHandler.cmake)
  configure_pc_file(cec ${CMAKE_CURRENT_SOURCE_DIR}/libcec.pc.in
                        ${CMAKE_CURRENT_SOURCE_DIR}/libcec.pc
                        ${CMAKE_INSTALL_PREFIX}
                        ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
                        ${CMAKE_INSTALL_PREFIX}/include)

  install(FILES         ${CMAKE_CURRENT_SOURCE_DIR}/libcec.pc
          DESTINATION   ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

# install headers
install(FILES ${PROJECT_SOURCE_DIR}/../../include/cec.h
              ${PROJECT_SOURCE_DIR}/../../include/cecc.h
              ${PROJECT_SOURCE_DIR}/../../include/cecloader.h
              ${PROJECT_SOURCE_DIR}/../../include/ceccloader.h
              ${PROJECT_SOURCE_DIR}/../../include/cectypes.h
              ${PROJECT_SOURCE_DIR}/../../include/version.h
        DESTINATION include/libcec)

# libCEC target
add_library(cec SHARED ${CEC_SOURCES})
install(TARGETS cec
        DESTINATION ${LIB_DESTINATION})
set_target_properties(cec PROPERTIES VERSION   ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH}
                                     SOVERSION ${LIBCEC_VERSION_MAJOR})
target_link_libraries(cec ${p8-platform_LIBRARIES})
target_link_libraries(cec ${CMAKE_THREAD_LIBS_INIT})

include(cmake/LinkPlatformSupport.cmake)
include(cmake/DisplayPlatformSupport.cmake)

=== debian/changelog ===
libcec (4.0.4+dfsg1-4ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 19:03:38 +0100

libcec (4.0.4+dfsg1-4ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:48:01 +0000

libcec (4.0.4+dfsg1-4ubuntu1) focal; urgency=medium

  * Update symbols for for s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2020 04:28:55 +0100

libcec (4.0.4+dfsg1-4build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:16 +0000

libcec (4.0.4+dfsg1-4) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 25 Sep 2019 14:22:51 +0200

libcec (4.0.4+dfsg1-4~exp1) experimental; urgency=medium

  * Switch to Python 3.
    Ship Python 3 modules in python3-cec replacing Python 2 python-libcec
    (Closes: #936846)
  * Update symbols file(s)
  * Fix generated Python 3 dependencies

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 16 Sep 2019 17:37:57 +0200

libcec (4.0.4+dfsg1-3) unstable; urgency=medium

  * debian/libcec4.symbols: Refresh symbols to build with GCC 9.
    Thanks to Boyuan Yang for the proposed NMU (Closes: #925738)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Sep 2019 00:16:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-kde-tools,
                libudev-dev [linux-any],
                libp8-platform-dev,
-               python-dev,
+               python3-dev,
                dh-python,
                cmake (>= 2.8.9),
                swig,
@@ -58,16 +58,16 @@
  .
  This package provides the CEC utility programs.
 
-Package: python-libcec
+Package: python3-cec
 Architecture: any
 Section: python
 Depends: libcec4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Description: Python bindings for USB CEC Adaptor
+Description: Python 3 bindings for USB CEC Adaptor
  This library provides support for the Pulse-Eight USB-CEC adapter and
  other CEC capable hardware, like the Raspberry Pi.
  .
- This package provides Python bindings for libcec.
+ This package provides Python 3 bindings for libcec.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh  $@ --with python2
+	dh  $@ --with python3
 
 override_dh_auto_configure:
 	ln -s /usr/include/cec-platform include/platform && \

## libcec 4.0.7+dfsg1

=== debian/changelog ===
libcec (4.0.7+dfsg1-1+rpt2) buster; urgency=medium

  * cec-framework-multiple.patch
    - https://github.com/raspberrypi/Raspberry-Pi-OS-64bit/issues/143#issuecomment-862562147

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 18 Jun 2021 11:28:34 +0100

libcec (4.0.7+dfsg1-1+rpt1) buster; urgency=medium

  * Update to 4.0.7
  * Add -DHAVE_LINUX_API=1 -DHAVE_RPI_API=1

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 15 Jun 2021 17:19:42 +0100

libcec (4.0.4+dfsg1-2+rpi1+rpt1) buster; urgency=medium

  * Add -DRPI_INCLUDE_DIR=/opt/vc/include -DRPI_LIB_DIR=/opt/vc/lib
  * Add libraspberrypi{0,-dev} dependencies

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 21 May 2019 17:07:48 +0100

libcec (4.0.4+dfsg1-2+rpi1) buster-staging; urgency=medium

  [changes brought forward from 3.1.0+dfsg1-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 10 Mar 2016 00:53:26 +0000]
  * Add symbols file hack for raspbian.
  * Fix clean target.

  [changes introduced in 4.0.3+dfsg1-1+rpi1 by Peter Michael Green]
  * Add build-conflicts on libpython3 dev packages, if they are installed
    this package will pick them in preference to 2.7 resulting in
    missing files.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 18 Mar 2019 13:16:14 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
                pkg-kde-tools,
                libudev-dev [linux-any],
                libp8-platform-dev,
-               python3-dev,
+               python-dev,
                dh-python,
                cmake (>= 2.8.9),
                swig,
                libxrandr-dev,
                x11proto-core-dev,
-               libncurses5-dev
+               libncurses5-dev,
+               libraspberrypi-dev
+Build-Conflicts: libpython3.0-dev, libpython3.1-dev, libpython3.2-dev, libpython3.3-dev, libpython3.4-dev, libpython3.5-dev, libpython3.6-dev, libpython3.7-dev, libpython3.8-dev, libpython3.9-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://salsa.debian.org/debian/libcec
 Vcs-Git: https://salsa.debian.org/debian/libcec.git
@@ -36,7 +38,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libraspberrypi0
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: libcec4v4
 Replaces: libcec4v4
@@ -58,16 +61,16 @@
  .
  This package provides the CEC utility programs.
 
-Package: python3-cec
+Package: python-libcec
 Architecture: any
 Section: python
 Depends: libcec4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends}
+         ${python:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Description: Python 3 bindings for USB CEC Adaptor
+Description: Python bindings for USB CEC Adaptor
  This library provides support for the Pulse-Eight USB-CEC adapter and
  other CEC capable hardware, like the Raspberry Pi.
  .
- This package provides Python 3 bindings for libcec.
+ This package provides Python bindings for libcec.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh  $@ --with python2

override_dh_auto_configure:
	ln -s /usr/include/cec-platform include/platform && \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DHAVE_EXYNOS_API=1 \
		-DHAVE_AOCEC_API=1 \
		-DRPI_INCLUDE_DIR=/opt/vc/include \
		-DRPI_LIB_DIR=/opt/vc/lib \
		-DHAVE_LINUX_API=1 \
		-DHAVE_RPI_API=1

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/bin/cec-client
	mv debian/tmp/usr/bin/cec-client-* debian/tmp/usr/bin/cec-client

override_dh_auto_clean:
	dh_auto_clean
	rm -f include/platform
	rm -f include/version.h
	rm -f src/cec-client/env.h
	rm -f src/cecc-client/env.h
	rm -f src/libcec/env.h
	rm -f src/libcec/libcec.pc

## libcec 6.0.2

=== CMakeLists.txt ===
project(libcec)
cmake_minimum_required(VERSION 3.12.0)

set(LIBCEC_VERSION_MAJOR 6)
set(LIBCEC_VERSION_MINOR 0)
set(LIBCEC_VERSION_PATCH 2)

# cec-client
add_subdirectory(src/cec-client)
add_dependencies(cec-client cec)

# cecc-client
add_subdirectory(src/cecc-client)
add_dependencies(cecc-client cec)

# pyCecClient
add_subdirectory(src/pyCecClient)

# libCEC
add_subdirectory(src/libcec)

# version number
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/version.h.in
               ${CMAKE_CURRENT_SOURCE_DIR}/include/version.h)

# windows specific files
if(WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/project/nsis/libcec-version.nsh.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/project/nsis/libcec-version.nsh)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/dotnetlib/LibCecSharp/LibCecSharp.rc.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/dotnetlib/LibCecSharp/LibCecSharp.rc)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/dotnetlib/LibCecSharp/AssemblyInfo.cpp.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/dotnetlib/LibCecSharp/AssemblyInfo.cpp)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/dotnetlib/LibCecSharpCore/AssemblyInfo.cpp.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/dotnetlib/LibCecSharpCore/AssemblyInfo.cpp)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/LibCecTray/LibCECTray.csproj.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/LibCecTray/LibCECTray.csproj)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/LibCecTray/Properties/AssemblyInfo.cs.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/LibCecTray/Properties/AssemblyInfo.cs)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/CecSharpTester/netcore/CecSharpCoreTester.csproj.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/CecSharpTester/netcore/CecSharpCoreTester.csproj)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/CecSharpTester/netfx/CecSharpTester.csproj.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/CecSharpTester/netfx/CecSharpTester.csproj)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/CecSharpTester/netfx/Properties/AssemblyInfo.cs.in
                 ${CMAKE_CURRENT_SOURCE_DIR}/src/dotnet/src/CecSharpTester/netfx/Properties/AssemblyInfo.cs)
endif()

=== src/cec-client/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(cecclient)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.12.0)
 
 set(cecclient_NAME cecclient)
 set(cecclient_DESCRIPTION "libCEC test client")
@@ -65,7 +65,9 @@
   endif()
 else()
   add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
-  if (NOT ${WIN64})
+  if (${WIN64})
+    string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+  else()
     add_definitions(-D_USE_32BIT_TIME_T)
   endif()
 endif()

=== src/cecc-client/CMakeLists.txt ===
project(ceccclient)
cmake_minimum_required(VERSION 3.12.0)

set(ceccclient_NAME ceccclient)
set(ceccclient_DESCRIPTION "libCEC test client")
set(ceccclient_VERSION_MAJOR ${LIBCEC_VERSION_MAJOR})
set(ceccclient_VERSION_MINOR ${LIBCEC_VERSION_MINOR})
set(ceccclient_VERSION_PATCH ${LIBCEC_VERSION_PATCH})

enable_language(C)
include(CheckCSourceCompiles)
include(CheckLibraryExists)
include(CheckIncludeFiles)

find_package(p8-platform REQUIRED)
find_package(Threads REQUIRED)

set(ceccclient_SOURCES cecc-client.c)

add_executable(cecc-client ${ceccclient_SOURCES})
set_target_properties(cecc-client PROPERTIES VERSION ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH})
target_link_libraries(cecc-client ${p8-platform_LIBRARIES})
target_link_libraries(cecc-client ${CMAKE_THREAD_LIBS_INIT})

if (NOT WIN32)
  # check for dlopen
  check_library_exists(dl dlopen "" HAVE_DLOPEN)
  if (HAVE_DLOPEN)
    target_link_libraries(cecc-client dl)
  endif()

  # CoreVideo
  if (APPLE)
    target_link_libraries(cecc-client "-framework CoreVideo")
  endif()
else()
  add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
  if (${WIN64})
    string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
  else()
    add_definitions(-D_USE_32BIT_TIME_T)
  endif()
endif()

include_directories(${p8-platform_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/../../include)

# write env.h
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/env.h.in ${CMAKE_CURRENT_SOURCE_DIR}/env.h)

if (WIN32)
  install(TARGETS     cecc-client
          DESTINATION .)
else()
  install(TARGETS     cecc-client
          DESTINATION bin/.)
endif()

=== src/libcec/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 project(cec)
-
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.12.0)
 
 set(cec_NAME cec)
 set(cec_DESCRIPTION "libCEC")
@@ -89,6 +88,8 @@
                 adapter/Exynos/ExynosCEC.h
                 adapter/Exynos/ExynosCECAdapterDetection.h
                 adapter/Exynos/ExynosCECAdapterCommunication.h
+                adapter/Linux/LinuxCECAdapterDetection.h
+                adapter/Linux/LinuxCECAdapterCommunication.h
                 adapter/AOCEC/AOCEC.h
                 adapter/AOCEC/AOCECAdapterDetection.h
                 adapter/AOCEC/AOCECAdapterCommunication.h
@@ -105,6 +106,8 @@
                 adapter/RPi/RPiCECAdapterMessageQueue.h
                 adapter/RPi/RPiCECAdapterCommunication.h
                 adapter/RPi/RPiCECAdapterDetection.h
+                adapter/IMX/IMXCECAdapterCommunication.h
+                adapter/IMX/IMXCECAdapterDetection.h
                 CECInputBuffer.h
                 platform/util/baudrate.h
                 platform/util/edid.h
@@ -156,6 +159,12 @@
   # write libcec.rc
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libcec.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/libcec.rc)
   add_definitions(-DDLL_EXPORT)
+  add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
+  if (${WIN64})
+    string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
+  else()
+    add_definitions(-D_USE_32BIT_TIME_T)
+  endif()
 else()
   # write pkgconfig
   include(../../cmake/PkgConfigHandler.cmake)
@@ -178,14 +187,51 @@
               ${PROJECT_SOURCE_DIR}/../../include/version.h
         DESTINATION include/libcec)
 
-# libCEC target
+# external dependencies
+include(cmake/LinkPlatformSupport.cmake)
+
+# libCEC shared target
 add_library(cec SHARED ${CEC_SOURCES})
 install(TARGETS cec
         DESTINATION ${LIB_DESTINATION})
 set_target_properties(cec PROPERTIES VERSION   ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH}
                                      SOVERSION ${LIBCEC_VERSION_MAJOR})
-target_link_libraries(cec ${p8-platform_LIBRARIES})
-target_link_libraries(cec ${CMAKE_THREAD_LIBS_INIT})
-
-include(cmake/LinkPlatformSupport.cmake)
+target_link_libraries(cec ${cec_depends})
+
+if (MSVC)
+  # generate pdb in release mode too
+  set_target_properties(cec
+      PROPERTIES
+      COMPILE_PDB_NAME_DEBUG cec${CMAKE_DEBUG_POSTFIX}
+      COMPILE_PDB_NAME_RELEASE cec
+      COMPILE_PDB_NAME_MINSIZEREL cec
+      COMPILE_PDB_NAME_RELWITHDEBINFO cec)
+endif(MSVC)
+
+if(WIN32)
+  # libCEC static target used by .net wrappers
+  add_library(cec-static STATIC ${CEC_SOURCES})
+  install(TARGETS cec-static
+          DESTINATION ${LIB_DESTINATION})
+  set_target_properties(cec-static PROPERTIES VERSION   ${LIBCEC_VERSION_MAJOR}.${LIBCEC_VERSION_MINOR}.${LIBCEC_VERSION_PATCH}
+                                       SOVERSION ${LIBCEC_VERSION_MAJOR})
+  target_link_libraries(cec-static ${cec_depends})
+
+  if (MSVC)
+    # generate pdb in release mode too
+    set_target_properties(cec-static
+        PROPERTIES
+        COMPILE_PDB_NAME_DEBUG cec-static${CMAKE_DEBUG_POSTFIX}
+        COMPILE_PDB_NAME_RELEASE cec-static
+        COMPILE_PDB_NAME_MINSIZEREL cec-static
+        COMPILE_PDB_NAME_RELWITHDEBINFO cec-static)
+
+    # install generated pdb
+    install(FILES $<TARGET_FILE_DIR:cec>/cec.pdb
+            DESTINATION "${CMAKE_INSTALL_LIBDIR}")
+    install(FILES $<TARGET_FILE_DIR:cec-static>/cec-static.pdb
+            DESTINATION "${CMAKE_INSTALL_LIBDIR}")
+  endif(MSVC)
+endif(WIN32)
+
 include(cmake/DisplayPlatformSupport.cmake)

=== src/pyCecClient/CMakeLists.txt ===
project(pyCecClient)
cmake_minimum_required(VERSION 3.12.0)

# Python
if(WIN32 AND "${MSVC_C_ARCHITECTURE_ID}" STREQUAL "X86")
  set(PYTHON_USE_VERSION 2)
endif()

if(PYTHON_USE_VERSION EQUAL 2)
  include(FindPython2)
  find_package(Python2)
  set(PYTHONLIBS_FOUND "${Python2_FOUND}")
else()
  include(FindPythonLibs)
  find_package(PythonLibs)
endif()

if(PYTHONLIBS_FOUND)
  if (WIN32)
    install(PROGRAMS pyCecClient.py
            DESTINATION python/.)
  else()
    install(PROGRAMS pyCecClient.py
            DESTINATION bin/.
            RENAME pyCecClient)
  endif()
endif()

=== debian/changelog ===
libcec (6.0.2-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override.
  * debian/patches: Update reproducible build patch to use Use
    CMAKE_SYSTEM_NAME instead of CMAKE_SYSTEM. (Closes: #1010414)
  * debian/control: Set Rules-Requires-Root to "no".
  * Update to debhelper-compat 13.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 30 Apr 2022 17:50:08 -0700

libcec (6.0.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on cmake and g++.
    Changes-By: deb-scrub-obsolete

  [ Balint Reczey ]
  * Remove myself from Uploaders
  * Orphaning the package according to our discussion with Sjoerd

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 27 Feb 2022 20:44:29 +0100

libcec (6.0.2-2) unstable; urgency=medium

  [ Punit Agrawal ]
  * debian/rules: Enable Linux API
    libcec has support for the Linux CEC api that enables interaction with
    devices that are exposed via "/dev/cec0" on supported systems. Enable
    Linux API support in the library to allows users to interact with
    media applications using their remote on such systems. (Closes: #983733)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 01 Mar 2021 08:10:46 +0100

libcec (6.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Balint Reczey ]
  * debian/copyright: Drop obsolete Files-Excluded
  * New upstream version 6.0.2
  * Rename library package for bumped SO version and replace
    debian/*.symbols with debian/*.shlibs (Closes: #957433)
  * debian/control: Bump Standards-Version, no changes required

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 07 Aug 2020 16:22:52 +0200

=== debian/control ===
Source: libcec
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               pkg-kde-tools,
               libudev-dev [linux-any],
               libp8-platform-dev,
               python3-dev,
               dh-python,
               cmake,
               swig,
               libxrandr-dev,
               x11proto-core-dev,
               libncurses5-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libcec
Vcs-Git: https://salsa.debian.org/debian/libcec.git
Homepage: http://libcec.pulse-eight.com/

Package: libcec-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcec6 (= ${binary:Version}),
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (development files)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the necessary files needed for development.

Package: libcec6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: USB CEC Adaptor communication Library (shared library)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the shared library.

Package: cec-utils
Architecture: any
Section: utils
Depends: libcec6 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (utility programs)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the CEC utility programs.

Package: python3-cec
Architecture: any
Section: python
Depends: libcec6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Python 3 bindings for USB CEC Adaptor
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides Python 3 bindings for libcec.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@  --with python3

override_dh_auto_configure:
	ln -s /usr/include/cec-platform include/platform && \
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		-DHAVE_EXYNOS_API=1 \
		-DHAVE_AOCEC_API=1 \
		-DHAVE_LINUX_API=1

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/bin/cec-client
	mv debian/tmp/usr/bin/cec-client-* debian/tmp/usr/bin/cec-client

override_dh_missing:
	dh_missing --list-missing

## libcec 7.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
+cmake_minimum_required(VERSION 3.12.0)
 project(libcec)
-cmake_minimum_required(VERSION 3.12.0)
 
-set(LIBCEC_VERSION_MAJOR 6)
+set(LIBCEC_VERSION_MAJOR 7)
 set(LIBCEC_VERSION_MINOR 0)
-set(LIBCEC_VERSION_PATCH 2)
+set(LIBCEC_VERSION_PATCH 0)
 
 # cec-client
 add_subdirectory(src/cec-client)

=== src/cec-client/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 include(CheckLibraryExists)
 include(CheckIncludeFiles)
 include(CheckCXXCompilerFlag)
+include(../../cmake/WindowsDebug.cmake)
 
 check_cxx_compiler_flag("-std=c++11" SUPPORTS_CXX11)
 if (SUPPORTS_CXX11)
@@ -65,7 +66,7 @@
   endif()
 else()
   add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
-  if (${WIN64})
+  if ((${WIN64}) OR (${_M_ARM64}))
     string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
   else()
     add_definitions(-D_USE_32BIT_TIME_T)
@@ -84,5 +85,5 @@
           DESTINATION .)
 else()
   install(TARGETS     cec-client
-          DESTINATION bin/.)
+          DESTINATION bin)
 endif()

=== src/cecc-client/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 include(CheckCSourceCompiles)
 include(CheckLibraryExists)
 include(CheckIncludeFiles)
+include(../../cmake/WindowsDebug.cmake)
 
 find_package(p8-platform REQUIRED)
 find_package(Threads REQUIRED)
@@ -35,7 +36,7 @@
   endif()
 else()
   add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
-  if (${WIN64})
+  if ((${WIN64}) OR (${_M_ARM64}))
     string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
   else()
     add_definitions(-D_USE_32BIT_TIME_T)
@@ -54,5 +55,5 @@
           DESTINATION .)
 else()
   install(TARGETS     cecc-client
-          DESTINATION bin/.)
+          DESTINATION bin)
 endif()

=== src/libcec/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.12.0)
 project(cec)
-cmake_minimum_required(VERSION 3.12.0)
 
 set(cec_NAME cec)
 set(cec_DESCRIPTION "libCEC")
@@ -10,6 +10,7 @@
 include(CheckLibraryExists)
 include(CheckIncludeFiles)
 include(CheckCXXCompilerFlag)
+include(../../cmake/WindowsDebug.cmake)
 include(../../cmake/UseMultiArch.cmake)
 
 check_cxx_compiler_flag("-std=c++11" SUPPORTS_CXX11)
@@ -160,7 +161,7 @@
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libcec.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/libcec.rc)
   add_definitions(-DDLL_EXPORT)
   add_definitions(-DTARGET_WINDOWS -DNOMINMAX -D_CRT_SECURE_NO_WARNINGS -D_WINSOCKAPI_)
-  if (${WIN64})
+  if ((${WIN64}) OR (${_M_ARM64}))
     string(REPLACE "/arch:SSE2" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
   else()
     add_definitions(-D_USE_32BIT_TIME_T)
@@ -198,17 +199,17 @@
                                      SOVERSION ${LIBCEC_VERSION_MAJOR})
 target_link_libraries(cec ${cec_depends})
 
-if (MSVC)
-  # generate pdb in release mode too
-  set_target_properties(cec
-      PROPERTIES
-      COMPILE_PDB_NAME_DEBUG cec${CMAKE_DEBUG_POSTFIX}
-      COMPILE_PDB_NAME_RELEASE cec
-      COMPILE_PDB_NAME_MINSIZEREL cec
-      COMPILE_PDB_NAME_RELWITHDEBINFO cec)
-endif(MSVC)
-
 if(WIN32)
+  if (MSVC)
+    # generate pdb in release mode too
+    set_target_properties(cec
+        PROPERTIES
+        COMPILE_PDB_NAME_DEBUG cec${CMAKE_DEBUG_POSTFIX}
+        COMPILE_PDB_NAME_RELEASE cec
+        COMPILE_PDB_NAME_MINSIZEREL cec
+        COMPILE_PDB_NAME_RELWITHDEBINFO cec)
+  endif(MSVC)
+
   # libCEC static target used by .net wrappers
   add_library(cec-static STATIC ${CEC_SOURCES})
   install(TARGETS cec-static

=== debian/changelog ===
libcec (7.0.0-1) unstable; urgency=medium

  * New upstream version 7.0.0
  * Bump policy
  * Rename various things from libcec6* to libcec7*
  * Spelling patch

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Mar 2025 17:57:40 +0000

libcec (6.0.2-6) unstable; urgency=medium

  * Disable Python wrapper; fails to build with Python 3.13 (closes: #1092064)
  * Bump standards version
  * Build dependency pkg-config ⇒ pkgconf per lintian
  * Remove unused man page cec-config(1)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Jan 2025 11:57:18 +0000

libcec (6.0.2-5) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * Update watch file format version to 4.
  * Yak shave debian/rules
  * Adopt (closes: #1006619) thanks Balint for all your work.
  * Update ncurses build dependency.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 06 Feb 2023 22:09:39 +0000

=== debian/control ===
Source: libcec
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pkgconf,
               pkg-kde-tools,
               libudev-dev [linux-any],
               libp8-platform-dev,
               cmake,
               swig,
               libxrandr-dev,
               x11proto-core-dev,
               libncurses-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libcec
Vcs-Git: https://salsa.debian.org/debian/libcec.git
Homepage: http://libcec.pulse-eight.com/

Package: libcec-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcec7 (= ${binary:Version}),
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (development files)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the necessary files needed for development.

Package: libcec7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: USB CEC Adaptor communication Library (shared library)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the shared library.

Package: cec-utils
Architecture: any
Section: utils
Depends: libcec7 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: USB CEC Adaptor communication Library (utility programs)
 This library provides support for the Pulse-Eight USB-CEC adapter and
 other CEC capable hardware, like the Raspberry Pi.
 .
 This package provides the CEC utility programs.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
# for DEB_HOST_MULTIARCH

%:
	dh $@

execute_before_dh_auto_configure:
	ln -s /usr/include/cec-platform include/platform

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DSKIP_PYTHON_WRAPPER=1 \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		-DHAVE_EXYNOS_API=1 \
		-DHAVE_AOCEC_API=1 \
		-DHAVE_LINUX_API=1

execute_after_dh_auto_install:
	rm debian/tmp/usr/bin/cec-client
	mv debian/tmp/usr/bin/cec-client-* debian/tmp/usr/bin/cec-client

=== debian/watch ===
version=4
opts=compression=xz,dversionmangle=s/.dfsg[0-9]*//,repack,repacksuffix=+dfsg1,uversionmangle=s/_/./g, https://github.com/Pulse-Eight/libcec/tags .*/libcec-(\d[\d\.]+)\.tar\.gz
